/* 
    ORPP Robot Client

    This program is free software; you can redistribute it and/or
    modify it under the terms of the GNU General Public License
    as published by the Free Software Foundation; either version 2
    of the License, or (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.

    (C) 2006 Jason Hunt
    nulluser@gmail.com

    file: network.h
*/

#ifndef ROBOT_H
#define ROBOT_H

typedef struct 
{
   unsigned char l_speed;
   unsigned char r_speed;

   unsigned char l_dir;
   unsigned char r_dir;
   
   unsigned char l_light;
   unsigned char r_light;
   
   unsigned char pan;
   unsigned char tilt;
   
   unsigned int sonar;
} robot_data_type;


void robot_start( void );

void robot_update( void );

void robot_reset( void );

void robot_clear_values( void );

void request_sensor_data( void );

int robot_sensor_data( unsigned char * data, unsigned int size );

void robot_update_pan_tilt(unsigned int x, unsigned int y);

#endif

