/* 
    ORPP Robot Server

    This program is free software; you can redistribute it and/or
    modify it under the terms of the GNU General Public License
    as published by the Free Software Foundation; either version 2
    of the License, or (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.

    (C) 2006 Jason Hunt
    nulluser@gmail.com
    
    file: display.cpp
*/

#include <stdlib.h>
#include <stdio.h>
#include <windows.h>

#include "display.h"
#include "types.h"


extern HWND main_win;                      // Handle to main window
extern HDC main_dc;                        // Main device context

static char text_area[text_y_size][text_x_size];  // The data for text display
        

/* Display the text area */
void display_text( void )
{
    // Clear the old text area
    Rectangle(main_dc, 0, 0, display_x, display_y );
        
       // draw text lines
    for (unsigned int r = 0; r < text_y_size; r++)
        TextOut(main_dc, 2, r * font_y_size + 1, text_area[r], strlen(text_area[r]));

    if (main_win != NULL)
        InvalidateRect (main_win, NULL, FALSE);
}
/* End if display_text */


/* Show the text buffer on the screen */
void display(void)
{
    display_text();

    ValidateRect(main_win, NULL);
}
/* End of display_text_area */

/* Adds a line to the text buffer */
void add_line(char *line)
{    
    static bool text_clear = false;

    if (!text_clear)
    {
        memset(text_area, 0, text_y_size * text_x_size);
        text_clear = true;
    }

    static unsigned int text_y = 0; 

    // Scrool the display up
    if (text_y == text_y_size)
    {
        for (int i = 1; i < text_y_size; i++)
            memcpy(text_area[i-1], text_area[i], text_x_size);
    }
    else
        text_y ++;

    // Copy the string
    unsigned int line_len = strlen(line);

    strncpy(text_area[text_y - 1], line, text_x_size);

    display_text();
}
/* End of add line */

















