/* 
    ORPP Robot Server

    This program is free software; you can redistribute it and/or
    modify it under the terms of the GNU General Public License
    as published by the Free Software Foundation; either version 2
    of the License, or (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.

    (C) 2006 Jason Hunt
    nulluser@gmail.com
   
    file: input.cpp
*/

#include <windows.h>
#include <math.h>
#include <stdio.h>

#include "main.h"
#include "input.h"
#include "display.h"
#include "camera.h"

bool keys[256] = {0}; // Key table

extern bool fast_capture;

/* Called when a key is pressed */
void key_down(WPARAM wParam)
{
    keys[wParam % 256] = true;
   
    if (wParam == VK_ESCAPE) system_shutdown();     // Escape key
            
    if (wParam == 'G') 
    {
        fast_capture = !fast_capture;

        if (fast_capture) 
            add_line("Fast Capture");
        else
            add_line("Slow Capture");
    }    
    
    if (wParam == 'C') setup_camera(true);
}
/* End of process key down */


/* Called when a key is released */
void key_up( WPARAM wParam )
{
    keys[wParam % 256] = false;
}
/* End of process key up */




