/* 
    ORPP Robot Server

    This program is free software; you can redistribute it and/or
    modify it under the terms of the GNU General Public License
    as published by the Free Software Foundation; either version 2
    of the License, or (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.

    (C) 2006 Jason Hunt
    nulluser@gmail.com

    file: network.h
*/

#ifndef NETWORK_H
#define NETWORK_H


#define ROBOT_MOVEMENT          0x30
#define ROBOT_SENSOR_DATA       0x90
#define CAMERA_IMAGE            0x60



#define BUFFER_SIZE 1024

//void send_client_data(char *b, unsigned int size);    // Send packet to client

void startup_network( void );                         // Start network subsystem
void shutdown_network( void );                        // Stop network subsystem

void network_message(WPARAM wParam, LPARAM lParam);   // Deal with network msg

void disconnect_client(void);

void reset_robot(void);

int network_send(byte *data, unsigned int size);

#endif

