/* 
    ORPP Robot Server

    This program is free software; you can redistribute it and/or
    modify it under the terms of the GNU General Public License
    as published by the Free Software Foundation; either version 2
    of the License, or (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.

    (C) 2006 Jason Hunt
    nulluser@gmail.com
    
    File robot.h
*/


#ifndef ROBOT_H
#define ROBOT_H

#define CONTROL_BUFFER_SIZE 1024


typedef struct 
{
   unsigned char l_speed;
   unsigned char r_speed;

   bool l_dir;
   bool r_dir;
   
   bool l_light;
   bool r_light;
   
   unsigned char pan;
   unsigned char tilt;
   unsigned int sonar;
   
} robot_data_type;



void start_robot( void );
void stop_robot( void );

void robot_send_sensor_data( void );

unsigned int robot_movement_data(byte * data, unsigned int size);


#endif
